import { t as definePluginEntry } from "../../plugin-entry-VgQuYBGd.js";
import { t as buildFalImageGenerationProvider } from "../../image-generation-provider-Dp_LlpOb.js";
import { t as buildFalMusicGenerationProvider } from "../../music-generation-provider-nwZk4BZZ.js";
import { t as createFalProvider } from "../../provider-registration-BBxaJoRw.js";
import { t as buildFalVideoGenerationProvider } from "../../video-generation-provider-CdwDkxSh.js";
var fal_default = definePluginEntry({
	id: "fal",
	name: "fal Provider",
	description: "Bundled fal image, video, and music generation provider",
	register(api) {
		api.registerProvider(createFalProvider());
		api.registerImageGenerationProvider(buildFalImageGenerationProvider());
		api.registerMusicGenerationProvider(buildFalMusicGenerationProvider());
		api.registerVideoGenerationProvider(buildFalVideoGenerationProvider());
	}
});
//#endregion
export { fal_default as default };
